import numpy as np
import cv2
from pySkin import PySkin



if __name__ == "__main__":
    skin = PySkin("COM14") # set COM accordingly to your board
    skin.data_0 = skin.read_frames_and_average(10)
    dR_R0 = np.ones(skin.shape)
    skin.visualize_frame(dR_R0)
    while cv2.waitKey(1) != ord('q'):
        skin.data = skin.read_frames_and_average(1)
        R_R0 = np.divide(skin.data, skin.data_0)  # R/R0
        img = skin.visualize_frame(R_R0)
    cv2.imwrite('eskin_visualization.png',img)