
import numpy as np
from pySkin import PySkin



if __name__ == "__main__":
    fs = 20
    T =20
    skin = PySkin("COM14", fs=fs, buffer_length=T) # set COM accordingly to your board
    skin.data_0 = skin.read_frames_and_average(10)
    while True:
        skin.read_and_update_buffer(1)
        if skin.last_frame == skin.data_buffer.shape[0]-1:   # read until buffer is full
            break
    R_R0 = np.divide(skin.data_buffer, skin.data_0)     # R/R0
    skin.draw_time_series(R_R0,[(1,1)])
    skin.draw_all_time_series(R_R0)